summaryrefslogtreecommitdiff
path: root/tests/touch/relative.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/relative.sh')
-rwxr-xr-xtests/touch/relative.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/tests/touch/relative.sh b/tests/touch/relative.sh
new file mode 100755
index 000000000..ba199fce0
--- /dev/null
+++ b/tests/touch/relative.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Demonstrate using a combination of --reference and --date to
+# set the time of a file back by an arbitrary amount.
+
+# Copyright (C) 2004-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ touch
+
+TZ=UTC0 touch --date='2004-01-16 12:00 +0000' f || framework_failure_
+
+
+# Set times back by 5 days.
+touch --ref f --date='-5 days' f || fail=1
+
+TZ=UTC0 ls -og --time-style=+%Y-%m-%d f > out.1 || fail
+sed 's/ f$//;s/.* //' out.1 > out
+
+cat <<\EOF > exp || fail=1
+2004-01-11
+EOF
+
+compare exp out || fail=1
+
+Exit $fail